#### 7.2.1.1 ideal declarations (plural)

Syntax:
  `ideal` name `=` list_of_poly_and_ideal_expressions `;`
  `ideal` name `=` ideal_expression `;`

Purpose:
  defines a left ideal.

Default:
  0

Example:

      ring r=0,(x,y,z),dp;
      def R=nc_algebra(-1,0); // an anti-commutative algebra
      setring R;
      poly s1 = x2;
      poly s2 = y3;
      poly s3 = z;
      ideal i =  s1, s2-s1, 0,s3*s2, s3^4;
      i;
      ==> i[1]=x2
      ==> i[2]=y3-x2
      ==> i[3]=0
      ==> i[4]=-y3z
      ==> i[5]=z4
      size(i);
      ==> 4
      ncols(i);
      ==> 5

User manual for Singular version 4.4.1, 2025, generated by texi2html.